Mandates APIbetaMandate management
Release (unsuspend) mandate
POST
Release a SUSPENDED mandate back to ACTIVE state.
Only mandate suspended by the same party can be released.
Bearerheader
AuthorizationBearer <JWT>Bearer token using a JWT.
id*stringIdentifier of the mandate.
Format
uuidX-Volt-Api-Version*1Version of the API used. Currently, version 1 is the only version.
Value in
1Accepted - Mandate release requested.
curl -X POST 'https://gateway.sandbox.volt.io/mandates/497f6eca-6276-4993-bfeb-53cbbbba6f08/release' \ -H 'X-Volt-Api-Version: 1'Example Response
Empty
Suspend mandate POST
Suspend an `ACTIVE` mandate.
Create amendment request POST
Create amendment request while mandate is `ACTIVE` or `SUSPENDED`. At least one of `validity` or `payTo` must be provided. The `payTo` field is only allowed for PayTo mandates. If the mandate has already been used for payments, the `validity.from` (start date) cannot be amended.